Index: asp3_tinet_ecnl_arm/trunk/btstack/src/bnep.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/btstack/src/bnep.c	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/btstack/src/bnep.c	(revision 374)
@@ -84,8 +84,8 @@
     event[1] = sizeof(event) - 2;
     event[2] = status;
-    bt_store_16(event, 3, channel->l2cap_cid);
-    bt_store_16(event, 5, channel->uuid_source);
-    bt_store_16(event, 7, channel->uuid_dest);
-    bt_store_16(event, 9, channel->max_frame_size);
+    little_endian_store_16(event, 3, channel->l2cap_cid);
+    little_endian_store_16(event, 5, channel->uuid_source);
+    little_endian_store_16(event, 7, channel->uuid_dest);
+    little_endian_store_16(event, 9, channel->max_frame_size);
     BD_ADDR_COPY(&event[11], channel->remote_addr);
     hci_dump_packet( HCI_EVENT_PACKET, 0, event, sizeof(event));
@@ -101,7 +101,7 @@
     event[0] = BNEP_EVENT_CHANNEL_TIMEOUT;
     event[1] = sizeof(event) - 2;
-    bt_store_16(event, 2, channel->l2cap_cid);
-    bt_store_16(event, 4, channel->uuid_source);
-    bt_store_16(event, 6, channel->uuid_dest);
+    little_endian_store_16(event, 2, channel->l2cap_cid);
+    little_endian_store_16(event, 4, channel->uuid_source);
+    little_endian_store_16(event, 6, channel->uuid_dest);
     BD_ADDR_COPY(&event[8], channel->remote_addr);
     event[14] = channel->state;
@@ -118,7 +118,7 @@
     event[0] = BNEP_EVENT_CHANNEL_CLOSED;
     event[1] = sizeof(event) - 2;
-    bt_store_16(event, 2, channel->l2cap_cid);
-    bt_store_16(event, 4, channel->uuid_source);
-    bt_store_16(event, 6, channel->uuid_dest);
+    little_endian_store_16(event, 2, channel->l2cap_cid);
+    little_endian_store_16(event, 4, channel->uuid_source);
+    little_endian_store_16(event, 6, channel->uuid_dest);
     BD_ADDR_COPY(&event[8], channel->remote_addr);
     hci_dump_packet( HCI_EVENT_PACKET, 0, event, sizeof(event));
@@ -133,5 +133,5 @@
     event[0] = BNEP_EVENT_READY_TO_SEND;
     event[1] = sizeof(event) - 2;
-    bt_store_16(event, 2, channel->l2cap_cid);
+    little_endian_store_16(event, 2, channel->l2cap_cid);
     hci_dump_packet( HCI_EVENT_PACKET, 0, event, sizeof(event));
 	(*app_packet_handler)(channel->connection, HCI_EVENT_PACKET, 0, (uint8_t *) event, sizeof(event));
@@ -464,5 +464,5 @@
     BD_ADDR_COPY(addr_source, &packet[pos]);
     pos += sizeof(bd_addr_t);
-    network_protocol_type = READ_NET_16(packet, pos);
+    network_protocol_type = big_endian_read_16(packet, pos);
     pos += sizeof(uint16_t);
 
@@ -475,5 +475,5 @@
         }
         /* The "real" network protocol type is 4 bytes ahead in a VLAN packet */
-		network_protocol_type = READ_NET_16(packet, pos + 2);
+		network_protocol_type = big_endian_read_16(packet, pos + 2);
 	}
 
@@ -808,16 +808,16 @@
     /* Check source and destination UUIDs for valid combinations */
     if (response_code == BNEP_RESP_SETUP_SUCCESS) {
-        channel->uuid_dest = READ_NET_16(packet, 2 + uuid_offset);
-        channel->uuid_source = READ_NET_16(packet, 2 + uuid_offset + uuid_size);
-
-        if ((channel->uuid_dest != BNEP_UUID_PANU) &&
-            (channel->uuid_dest != BNEP_UUID_NAP) &&
-            (channel->uuid_dest != BNEP_UUID_GN)) {
+        channel->uuid_dest = big_endian_read_16(packet, 2 + uuid_offset);
+        channel->uuid_source = big_endian_read_16(packet, 2 + uuid_offset + uuid_size);
+
+        if ((channel->uuid_dest != BLUETOOTH_SERVICE_CLASS_PANU) &&
+            (channel->uuid_dest != BLUETOOTH_SERVICE_CLASS_NAP) &&
+            (channel->uuid_dest != BLUETOOTH_SERVICE_CLASS_GN)) {
             log_error("BNEP_CONNECTION_REQUEST: Invalid destination service UUID: %04x", channel->uuid_dest);
             channel->uuid_dest = 0;
         }
-        if ((channel->uuid_source != BNEP_UUID_PANU) &&
-            (channel->uuid_source != BNEP_UUID_NAP) &&
-            (channel->uuid_source != BNEP_UUID_GN)) {
+        if ((channel->uuid_source != BLUETOOTH_SERVICE_CLASS_PANU) &&
+            (channel->uuid_source != BLUETOOTH_SERVICE_CLASS_NAP) &&
+            (channel->uuid_source != BLUETOOTH_SERVICE_CLASS_GN)) {
             log_error("BNEP_CONNECTION_REQUEST: Invalid source service UUID: %04x", channel->uuid_source);
             channel->uuid_source = 0;
@@ -829,5 +829,5 @@
             response_code = BNEP_RESP_SETUP_INVALID_DEST_UUID;
         } else
-        if ((channel->uuid_source != BNEP_UUID_PANU) && (channel->uuid_dest != BNEP_UUID_PANU)) {
+        if ((channel->uuid_source != BLUETOOTH_SERVICE_CLASS_PANU) && (channel->uuid_dest != BLUETOOTH_SERVICE_CLASS_PANU)) {
             response_code = BNEP_RESP_SETUP_INVALID_SOURCE_UUID;
         }
@@ -857,5 +857,5 @@
     }
 
-    response_code = READ_NET_16(packet, 1);
+    response_code = big_endian_read_16(packet, 1);
 
     if (response_code == BNEP_RESP_SETUP_SUCCESS) {
@@ -882,5 +882,5 @@
     }
 
-    list_length = READ_NET_16(packet, 1);
+    list_length = big_endian_read_16(packet, 1);
     /* Sanity check packet size again with known package size */
     if (size < 3 + list_length) {
@@ -903,6 +903,6 @@
         /* There is still enough space, copy the filters to our filter list */
         for (i = 0; i < list_length / (2 * 2); i ++) {
-            channel->net_filter[channel->net_filter_count].range_start = READ_NET_16(packet, 1 + 2 + i * 4);
-            channel->net_filter[channel->net_filter_count].range_end = READ_NET_16(packet, 1 + 2 + i * 4 + 2);
+            channel->net_filter[channel->net_filter_count].range_start = big_endian_read_16(packet, 1 + 2 + i * 4);
+            channel->net_filter[channel->net_filter_count].range_end = big_endian_read_16(packet, 1 + 2 + i * 4 + 2);
             if (channel->net_filter[channel->net_filter_count].range_start > channel->net_filter[channel->net_filter_count].range_end) {
                 /* Invalid filter range, ignore this filter rule */
@@ -945,5 +945,5 @@
     }
 
-    response_code = READ_NET_16(packet, 1);
+    response_code = big_endian_read_16(packet, 1);
 
     if (response_code == BNEP_RESP_FILTER_SUCCESS) {
@@ -966,5 +966,5 @@
     }
 
-    list_length = READ_NET_16(packet, 1);
+    list_length = big_endian_read_16(packet, 1);
     /* Sanity check packet size again with known package size */
     if (size < 3 + list_length) {
@@ -1032,5 +1032,5 @@
     }
 
-    response_code = READ_NET_16(packet, 1);
+    response_code = big_endian_read_16(packet, 1);
 
     if (response_code == BNEP_RESP_FILTER_SUCCESS) {
@@ -1169,8 +1169,8 @@
         case L2CAP_EVENT_INCOMING_CONNECTION:
             /* L2CAP event data: event(8), len(8), address(48), handle (16),  psm (16), source cid(16) dest cid(16) */
-            bt_flip_addr(event_addr, &packet[2]);
-            con_handle = READ_BT_16(packet,  8);
-            psm        = READ_BT_16(packet, 10);
-            l2cap_cid  = READ_BT_16(packet, 12);
+            reverse_bd_addr(&packet[2], event_addr);
+            con_handle = little_endian_read_16(packet,  8);
+            psm        = little_endian_read_16(packet, 10);
+            l2cap_cid  = little_endian_read_16(packet, 12);
 
             if (psm != PSM_BNEP) break;
@@ -1211,5 +1211,5 @@
         case L2CAP_EVENT_CHANNEL_OPENED:
             /* Check if the l2cap channel has been opened for PSM_BNEP */
-            if (READ_BT_16(packet, 11) != PSM_BNEP) {
+            if (little_endian_read_16(packet, 11) != PSM_BNEP) {
                 break;
             }
@@ -1219,7 +1219,7 @@
 
             /* Get the bnep channel fpr remote address */
-            con_handle = READ_BT_16(packet, 9);
-            l2cap_cid  = READ_BT_16(packet, 13);
-            bt_flip_addr(event_addr, &packet[3]);
+            con_handle = little_endian_read_16(packet, 9);
+            l2cap_cid  = little_endian_read_16(packet, 13);
+            reverse_bd_addr(&packet[3], event_addr);
             channel = bnep_channel_for_addr(&event_addr);
             if (!channel) {
@@ -1252,10 +1252,10 @@
                     channel->state = BNEP_CHANNEL_STATE_WAIT_FOR_CONNECTION_RESPONSE;
                     bnep_channel_state_add(channel, BNEP_CHANNEL_STATE_VAR_SND_CONNECTION_REQUEST);
-                    channel->max_frame_size = bnep_max_frame_size_for_l2cap_mtu(READ_BT_16(packet, 17));
+                    channel->max_frame_size = bnep_max_frame_size_for_l2cap_mtu(little_endian_read_16(packet, 17));
                     bnep_run();
                     break;
                 case BNEP_CHANNEL_STATE_WAIT_FOR_CONNECTION_REQUEST:
                     /* New information: channel mtu */
-                    channel->max_frame_size = bnep_max_frame_size_for_l2cap_mtu(READ_BT_16(packet, 17));
+                    channel->max_frame_size = bnep_max_frame_size_for_l2cap_mtu(little_endian_read_16(packet, 17));
                     break;
                 default:
@@ -1272,5 +1272,5 @@
         case L2CAP_EVENT_CHANNEL_CLOSED:
             // data: event (8), len(8), channel (16)
-            l2cap_cid   = READ_BT_16(packet, 2);
+            l2cap_cid   = little_endian_read_16(packet, 2);
             channel = bnep_channel_for_l2cap_cid(l2cap_cid);
             log_info("L2CAP_EVENT_CHANNEL_CLOSED cid 0x%0x, channel %p", l2cap_cid, channel);
@@ -1331,5 +1331,5 @@
             BD_ADDR_COPY(addr_source, &packet[pos]);
             pos += sizeof(bd_addr_t);
-            network_protocol_type = READ_NET_16(packet, pos);
+            network_protocol_type = big_endian_read_16(packet, pos);
             pos += 2;
             break;
@@ -1337,5 +1337,5 @@
             BD_ADDR_COPY(addr_dest, channel->local_addr);
             BD_ADDR_COPY(addr_source, channel->remote_addr);
-            network_protocol_type = READ_NET_16(packet, pos);
+            network_protocol_type = big_endian_read_16(packet, pos);
             pos += 2;
             break;
@@ -1344,5 +1344,5 @@
             BD_ADDR_COPY(addr_source, &packet[pos]);
             pos += sizeof(bd_addr_t);
-            network_protocol_type = READ_NET_16(packet, pos);
+            network_protocol_type = big_endian_read_16(packet, pos);
             pos += 2;
             break;
@@ -1351,5 +1351,5 @@
             pos += sizeof(bd_addr_t);
             BD_ADDR_COPY(addr_source, channel->remote_addr);
-            network_protocol_type = READ_NET_16(packet, pos);
+            network_protocol_type = big_endian_read_16(packet, pos);
             pos += 2;
             break;
@@ -1563,5 +1563,5 @@
     }
 
-    channel->uuid_source = BNEP_UUID_PANU;
+    channel->uuid_source = BLUETOOTH_SERVICE_CLASS_PANU;
     channel->uuid_dest   = uuid_dest;
 
@@ -1597,7 +1597,7 @@
 
     /* Only alow one the three service types: PANU, NAP, GN */
-    if ((service_uuid != BNEP_UUID_PANU) &&
-        (service_uuid != BNEP_UUID_NAP) &&
-        (service_uuid != BNEP_UUID_GN)) {
+    if ((service_uuid != BLUETOOTH_SERVICE_CLASS_PANU) &&
+        (service_uuid != BLUETOOTH_SERVICE_CLASS_NAP) &&
+        (service_uuid != BLUETOOTH_SERVICE_CLASS_GN)) {
         log_info("BNEP_REGISTER_SERVICE: Invalid service UUID: %04x", service_uuid);
         return BNEP_CHANNEL_NOT_CONNECTED;
Index: asp3_tinet_ecnl_arm/trunk/btstack/src/bnep.h
===================================================================
--- asp3_tinet_ecnl_arm/trunk/btstack/src/bnep.h	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/btstack/src/bnep.h	(revision 374)
@@ -72,7 +72,7 @@
 
 /* BNEP UUIDs */
-#define BNEP_UUID_PANU                                  0x1115
-#define BNEP_UUID_NAP                                   0x1116
-#define BNEP_UUID_GN                                    0x1117
+#define BLUETOOTH_SERVICE_CLASS_PANU                                  0x1115
+#define BLUETOOTH_SERVICE_CLASS_NAP                                   0x1116
+#define BLUETOOTH_SERVICE_CLASS_GN                                    0x1117
     
 /* BNEP packet types */    
Index: asp3_tinet_ecnl_arm/trunk/btstack/src/hci.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/btstack/src/hci.c	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/btstack/src/hci.c	(revision 374)
@@ -233,5 +233,5 @@
     bd_addr_t addr;
     hci_connection_t * conn;
-    bt_flip_addr(addr, *(bd_addr_t *) bd_addr);
+    reverse_bd_addr(*(bd_addr_t *) bd_addr, addr);
     conn = hci_connection_for_bd_addr_and_type(&addr, BD_ADDR_TYPE_CLASSIC);
     if (conn) {
@@ -469,11 +469,11 @@
         // copy handle_and_flags if not first fragment and update packet boundary flags to be 01 (continuing fragmnent)
         if (acl_header_pos > 0){
-            uint16_t handle_and_flags = READ_BT_16(hci_stack->hci_packet_buffer, 0);
+            uint16_t handle_and_flags = little_endian_read_16(hci_stack->hci_packet_buffer, 0);
             handle_and_flags = (handle_and_flags & 0xcfff) | (1 << 12);
-            bt_store_16(hci_stack->hci_packet_buffer, acl_header_pos, handle_and_flags);
+            little_endian_store_16(hci_stack->hci_packet_buffer, acl_header_pos, handle_and_flags);
         }
 
         // update header len
-        bt_store_16(hci_stack->hci_packet_buffer, acl_header_pos + 2, current_acl_data_packet_length);
+        little_endian_store_16(hci_stack->hci_packet_buffer, acl_header_pos + 2, current_acl_data_packet_length);
 
         // count packet
@@ -640,5 +640,5 @@
                 conn->acl_recombination_pos    = acl_length + 4;
                 conn->acl_recombination_length = l2cap_length;
-                bt_store_16(conn->acl_recombination_buffer, HCI_INCOMING_PRE_BUFFER_SIZE + 2, l2cap_length +4);
+                little_endian_store_16(conn->acl_recombination_buffer, HCI_INCOMING_PRE_BUFFER_SIZE + 2, l2cap_length +4);
             }
             break;
@@ -793,5 +793,5 @@
     // odd: waiting for event
     if (packet[0] == HCI_EVENT_COMMAND_COMPLETE){
-        uint16_t opcode = READ_BT_16(packet,3);
+        uint16_t opcode = little_endian_read_16(packet,3);
         if (opcode == hci_stack->last_cmd_opcode){
             command_completed = 1;
@@ -803,5 +803,5 @@
     if (packet[0] == HCI_EVENT_COMMAND_STATUS){
         uint8_t  status = packet[2];
-        uint16_t opcode = READ_BT_16(packet,4);
+        uint16_t opcode = little_endian_read_16(packet,4);
         if (opcode == hci_stack->last_cmd_opcode){
             if (status){
@@ -843,5 +843,5 @@
         case 1: // SEND BAUD CHANGE
             hci_stack->control->baudrate_cmd(hci_stack->config, ((hci_uart_config_t *)hci_stack->config)->baudrate_main, hci_stack->hci_packet_buffer);
-            hci_stack->last_cmd_opcode = READ_BT_16(hci_stack->hci_packet_buffer, 0);
+            hci_stack->last_cmd_opcode = little_endian_read_16(hci_stack->hci_packet_buffer, 0);
             hci_dump_packet(HCI_COMMAND_DATA_PACKET, 0, hci_stack->hci_packet_buffer, 3 + hci_stack->hci_packet_buffer[2]);
             hci_send_cmd_packet(hci_stack->hci_packet_buffer, 3 + hci_stack->hci_packet_buffer[2]);
@@ -860,5 +860,5 @@
                 if (valid_cmd){
                     int size = 3 + hci_stack->hci_packet_buffer[2];
-                    hci_stack->last_cmd_opcode = READ_BT_16(hci_stack->hci_packet_buffer, 0);
+                    hci_stack->last_cmd_opcode = little_endian_read_16(hci_stack->hci_packet_buffer, 0);
                     hci_dump_packet(HCI_COMMAND_DATA_PACKET, 0, hci_stack->hci_packet_buffer, size);
                     hci_stack->hci_transport->send_packet(HCI_COMMAND_DATA_PACKET, hci_stack->hci_packet_buffer, size);
@@ -992,9 +992,9 @@
             hci_stack->num_cmd_packets = packet[2];
 
-            if (COMMAND_COMPLETE_EVENT(packet, hci_read_buffer_size)){
+            if (HCI_EVENT_IS_COMMAND_COMPLETE(packet, hci_read_buffer_size)){
                 // from offset 5
                 // status
                 // "The HC_ACL_Data_Packet_Length return parameter will be used to determine the size of the L2CAP segments contained in ACL Data Packets"
-                hci_stack->acl_data_packet_length = READ_BT_16(packet, 6);
+                hci_stack->acl_data_packet_length = little_endian_read_16(packet, 6);
                 // ignore: SCO data packet len (8)
                 hci_stack->acl_packets_total_num  = packet[9];
@@ -1010,6 +1010,6 @@
             }
 #ifdef HAVE_BLE
-            if (COMMAND_COMPLETE_EVENT(packet, hci_le_read_buffer_size)){
-                hci_stack->le_data_packets_length = READ_BT_16(packet, 6);
+            if (HCI_EVENT_IS_COMMAND_COMPLETE(packet, hci_le_read_buffer_size)){
+                hci_stack->le_data_packets_length = little_endian_read_16(packet, 6);
                 hci_stack->le_acl_packets_total_num  = packet[8];
                     // determine usable ACL payload size
@@ -1021,14 +1021,14 @@
 #endif
             // Dump local address
-            if (COMMAND_COMPLETE_EVENT(packet, hci_read_bd_addr)) {
-                bt_flip_addr(hci_stack->local_bd_addr, &packet[OFFSET_OF_DATA_IN_COMMAND_COMPLETE + 1]);
+            if (HCI_EVENT_IS_COMMAND_COMPLETE(packet, hci_read_bd_addr)) {
+                reverse_bd_addr(&packet[OFFSET_OF_DATA_IN_COMMAND_COMPLETE + 1], hci_stack->local_bd_addr);
                 log_info("Local Address, Status: 0x%02x: Addr: %s",
                     packet[OFFSET_OF_DATA_IN_COMMAND_COMPLETE], bd_addr_to_str(hci_stack->local_bd_addr));
             }
-            if (COMMAND_COMPLETE_EVENT(packet, hci_write_scan_enable)){
+            if (HCI_EVENT_IS_COMMAND_COMPLETE(packet, hci_write_scan_enable)){
                 hci_emit_discoverable_enabled(hci_stack->discoverable);
             }
             // Note: HCI init checks
-            if (COMMAND_COMPLETE_EVENT(packet, hci_read_local_supported_features)){
+            if (HCI_EVENT_IS_COMMAND_COMPLETE(packet, hci_read_local_supported_features)){
                 memcpy(hci_stack->local_supported_features, &packet[OFFSET_OF_DATA_IN_COMMAND_COMPLETE+1], 8);
                 log_info("Local Supported Features: 0x%02x%02x%02x%02x%02x%02x%02x%02x",
@@ -1057,7 +1057,7 @@
             for (i=0; i<packet[2];i++){
                 uint16_t num_packets;
-                handle = READ_BT_16(packet, offset);
+                handle = little_endian_read_16(packet, offset);
                 offset += 2;
-                num_packets = READ_BT_16(packet, offset);
+                num_packets = little_endian_read_16(packet, offset);
                 offset += 2;
 
@@ -1079,5 +1079,5 @@
         }
         case HCI_EVENT_CONNECTION_REQUEST:
-            bt_flip_addr(addr, &packet[2]);
+            reverse_bd_addr(&packet[2], addr);
             // TODO: eval COD 8-10
             link_type = packet[11];
@@ -1106,5 +1106,5 @@
         case HCI_EVENT_CONNECTION_COMPLETE:
             // Connection management
-            bt_flip_addr(addr, &packet[5]);
+            reverse_bd_addr(&packet[5], addr);
             log_info("Connection_complete (status=%u) %s", packet[2], bd_addr_to_str(addr));
             addr_type = BD_ADDR_TYPE_CLASSIC;
@@ -1113,5 +1113,5 @@
                 if (!packet[2]){
                     conn->state = OPEN;
-                    conn->con_handle = READ_BT_16(packet, 3);
+                    conn->con_handle = little_endian_read_16(packet, 3);
                     conn->bonding_flags |= BONDING_REQUEST_REMOTE_FEATURES;
 
@@ -1148,5 +1148,5 @@
 
         case HCI_EVENT_READ_REMOTE_SUPPORTED_FEATURES_COMPLETE:
-            handle = READ_BT_16(packet, 3);
+            handle = little_endian_read_16(packet, 3);
             conn = hci_connection_for_handle(handle);
             if (!conn) break;
@@ -1176,5 +1176,5 @@
         case HCI_EVENT_LINK_KEY_NOTIFICATION: {
             link_key_type_t link_key_type;
-            bt_flip_addr(addr, &packet[2]);
+            reverse_bd_addr(&packet[2], addr);
             conn = hci_connection_for_bd_addr_and_type(&addr, BD_ADDR_TYPE_CLASSIC);
             if (!conn) break;
@@ -1201,5 +1201,5 @@
             // PIN CODE REQUEST means the link key request didn't succee -> delete stored link key
             if (!hci_stack->remote_device_db) break;
-            bt_flip_addr(addr, &packet[2]);
+            reverse_bd_addr(&packet[2], addr);
             hci_stack->remote_device_db->delete_link_key(&addr);
             break;
@@ -1223,5 +1223,5 @@
 
         case HCI_EVENT_ENCRYPTION_CHANGE:
-            handle = READ_BT_16(packet, 3);
+            handle = little_endian_read_16(packet, 3);
             conn = hci_connection_for_handle(handle);
             if (!conn) break;
@@ -1237,5 +1237,5 @@
 
         case HCI_EVENT_AUTHENTICATION_COMPLETE_EVENT:
-            handle = READ_BT_16(packet, 3);
+            handle = little_endian_read_16(packet, 3);
             conn = hci_connection_for_handle(handle);
             if (!conn) break;
@@ -1262,5 +1262,5 @@
             if (!hci_stack->remote_device_db) break;
             if (packet[2]) break; // status not ok
-            bt_flip_addr(addr, &packet[3]);
+            reverse_bd_addr(&packet[3], addr);
             // fix for invalid remote names - terminate on 0xff
             for (i=0; i<248;i++){
@@ -1283,5 +1283,5 @@
             int offset = 3;
             for (i=0; i<packet[2];i++){
-                bt_flip_addr(addr, &packet[offset]);
+                reverse_bd_addr(&packet[offset], addr);
                 offset += 14; // 6 + 1 + 1 + 1 + 3 + 2;
                 if (hci_stack->remote_device_db->get_name(&addr, &device_name)){
@@ -1308,5 +1308,5 @@
         case HCI_EVENT_ROLE_CHANGE:
             if (packet[2]) break;   // status != 0
-            handle = READ_BT_16(packet, 3);
+            handle = little_endian_read_16(packet, 3);
             conn = hci_connection_for_handle(handle);
             if (!conn) break;       // no conn
@@ -1331,5 +1331,5 @@
                 case HCI_SUBEVENT_LE_CONNECTION_COMPLETE:
                     // Connection management
-                    bt_flip_addr(addr, &packet[8]);
+                    reverse_bd_addr(&packet[8], addr);
                     addr_type = (bd_addr_type_t)packet[7];
                     log_info("LE Connection_complete (status=%u) type %u, %s", packet[3], addr_type, bd_addr_to_str(addr));
@@ -1357,5 +1357,5 @@
 
                     conn->state = OPEN;
-                    conn->con_handle = READ_BT_16(packet, 4);
+                    conn->con_handle = little_endian_read_16(packet, 4);
 
                     // TODO: store - role, peer address type, conn_interval, conn_latency, supervision timeout, master clock
@@ -1370,5 +1370,5 @@
                     break;
 
-            // log_info("LE buffer size: %u, count %u", READ_BT_16(packet,6), packet[8]);
+            // log_info("LE buffer size: %u, count %u", little_endian_read_16(packet,6), packet[8]);
 
                 default:
@@ -1389,5 +1389,5 @@
     if (hci_stack->state == HCI_STATE_FALLING_ASLEEP
         && hci_stack->substate == 1
-        && COMMAND_COMPLETE_EVENT(packet, hci_write_scan_enable)){
+        && HCI_EVENT_IS_COMMAND_COMPLETE(packet, hci_write_scan_enable)){
         hci_stack->substate++;
     }
@@ -1400,5 +1400,5 @@
         if (!packet[2]){
             hci_connection_t * conn;
-            handle = READ_BT_16(packet, 3);
+            handle = little_endian_read_16(packet, 3);
             conn = hci_connection_for_handle(handle);
             if (conn) {
@@ -1793,5 +1793,5 @@
 }
 
-void hci_discoverable_control(uint8_t enable){
+void gap_discoverable_control(uint8_t enable){
     if (enable) enable = 1; // normalize argument
 
@@ -2140,5 +2140,5 @@
     // create_connection?
     if (IS_COMMAND(packet, hci_create_connection)){
-        bt_flip_addr(addr, &packet[3]);
+        reverse_bd_addr(&packet[3], addr);
         log_info("Create_connection to %s", bd_addr_to_str(addr));
 
@@ -2179,5 +2179,5 @@
     if (IS_COMMAND(packet, hci_delete_stored_link_key)){
         if (hci_stack->remote_device_db){
-            bt_flip_addr(addr, &packet[3]);
+            reverse_bd_addr(&packet[3], addr);
             hci_stack->remote_device_db->delete_link_key(&addr);
         }
@@ -2186,5 +2186,5 @@
     if (IS_COMMAND(packet, hci_pin_code_request_negative_reply)
     ||  IS_COMMAND(packet, hci_pin_code_request_reply)){
-        bt_flip_addr(addr, &packet[3]);
+        reverse_bd_addr(&packet[3], addr);
         conn = hci_connection_for_bd_addr_and_type(&addr, BD_ADDR_TYPE_CLASSIC);
         if (conn){
@@ -2197,5 +2197,5 @@
     ||  IS_COMMAND(packet, hci_user_passkey_request_negative_reply)
     ||  IS_COMMAND(packet, hci_user_passkey_request_reply)) {
-        bt_flip_addr(addr, &packet[3]);
+        reverse_bd_addr(&packet[3], addr);
         conn = hci_connection_for_bd_addr_and_type(&addr, BD_ADDR_TYPE_CLASSIC);
         if (conn){
@@ -2209,5 +2209,5 @@
     }
     if (IS_COMMAND(packet, hci_le_set_random_address)){
-        bt_flip_addr(hci_stack->adv_address, &packet[3]);
+        reverse_bd_addr(&packet[3], hci_stack->adv_address);
     }
 #endif
@@ -2303,6 +2303,6 @@
     event[1] = sizeof(event) - 2;
     event[2] = status;
-    bt_store_16(event, 3, conn->con_handle);
-    bt_flip_addr(&event[5], conn->address);
+    little_endian_store_16(event, 3, conn->con_handle);
+    reverse_bd_addr(conn->address, &event[5]);
     event[11] = 1; // ACL connection
     event[12] = 0; // encryption disabled
@@ -2317,11 +2317,11 @@
     event[2] = HCI_SUBEVENT_LE_CONNECTION_COMPLETE;
     event[3] = status;
-    bt_store_16(event, 4, conn_handle);
+    little_endian_store_16(event, 4, conn_handle);
     event[6] = 0; // TODO: role
     event[7] = address_type;
-    bt_flip_addr(&event[8], *address);
-    bt_store_16(event, 14, 0); // interval
-    bt_store_16(event, 16, 0); // latency
-    bt_store_16(event, 18, 0); // supervision timeout
+    reverse_bd_addr(*address, &event[8]);
+    little_endian_store_16(event, 14, 0); // interval
+    little_endian_store_16(event, 16, 0); // latency
+    little_endian_store_16(event, 18, 0); // supervision timeout
     event[20] = 0; // master clock accuracy
     hci_dump_packet(HCI_EVENT_PACKET, 0, event, sizeof(event));
@@ -2334,5 +2334,5 @@
     event[1] = sizeof(event) - 2;
     event[2] = 0; // status = OK
-    bt_store_16(event, 3, handle);
+    little_endian_store_16(event, 3, handle);
     event[5] = reason;
     hci_dump_packet(HCI_EVENT_PACKET, 0, event, sizeof(event));
@@ -2346,5 +2346,5 @@
     event[0] = L2CAP_EVENT_TIMEOUT_CHECK;
     event[1] = sizeof(event) - 2;
-    bt_store_16(event, 2, conn->con_handle);
+    little_endian_store_16(event, 2, conn->con_handle);
     hci_dump_packet(HCI_EVENT_PACKET, 0, event, sizeof(event));
     hci_stack->packet_handler(HCI_EVENT_PACKET, event, sizeof(event));
@@ -2378,5 +2378,5 @@
     event[2] = BTSTACK_MAJOR;
     event[3] = BTSTACK_MINOR;
-    bt_store_16(event, 4, BTSTACK_REVISION);
+    little_endian_store_16(event, 4, BTSTACK_REVISION);
     hci_dump_packet( HCI_EVENT_PACKET, 0, event, sizeof(event));
     hci_stack->packet_handler(HCI_EVENT_PACKET, event, sizeof(event));
@@ -2399,5 +2399,5 @@
     event[1] = sizeof(event) - 2 - 1;
     event[2] = 0;   // just to be compatible with HCI_EVENT_REMOTE_NAME_REQUEST_COMPLETE
-    bt_flip_addr(&event[3], *addr);
+    reverse_bd_addr(*addr, &event[3]);
     memcpy(&event[9], name, 248);
 
@@ -2426,5 +2426,5 @@
     event[pos++] = GAP_SECURITY_LEVEL;
     event[pos++] = sizeof(event) - 2;
-    bt_store_16(event, 2, con_handle);
+    little_endian_store_16(event, 2, con_handle);
     pos += 2;
     event[pos++] = level;
@@ -2441,5 +2441,5 @@
     event[pos++] = sizeof(event) - 2;
     event[pos++] = status;
-    bt_flip_addr( * (bd_addr_t *) &event[pos], address);
+    reverse_bd_addr(address,  * (bd_addr_t *) &event[pos]);
     pos += 6;
     hci_dump_packet( HCI_EVENT_PACKET, 0, event, sizeof(event));
Index: asp3_tinet_ecnl_arm/trunk/btstack/src/hci.h
===================================================================
--- asp3_tinet_ecnl_arm/trunk/btstack/src/hci.h	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/btstack/src/hci.h	(revision 374)
@@ -234,5 +234,5 @@
 
 //
-#define IS_COMMAND(packet, command) (READ_BT_16(packet,0) == command.opcode)
+#define IS_COMMAND(packet, command) (little_endian_read_16(packet,0) == command.opcode)
 
 // data: event(8)
@@ -595,5 +595,5 @@
 
 // Allows to control if device is discoverable. OFF by default.
-void hci_discoverable_control(uint8_t enable);
+void gap_discoverable_control(uint8_t enable);
 
 // Creates and sends HCI command packets based on a template and
Index: asp3_tinet_ecnl_arm/trunk/btstack/src/hci_dump.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/btstack/src/hci_dump.c	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/btstack/src/hci_dump.c	(revision 374)
@@ -194,9 +194,9 @@
 
         case HCI_DUMP_BLUEZ:
-            bt_store_16( (uint8_t *) &header_bluez.len, 0, 1 + len);
+            little_endian_store_16( (uint8_t *) &header_bluez.len, 0, 1 + len);
             header_bluez.in  = in;
             header_bluez.pad = 0;
-            bt_store_32( (uint8_t *) &header_bluez.ts_sec,  0, curr_time.tv_sec);
-            bt_store_32( (uint8_t *) &header_bluez.ts_usec, 0, curr_time.tv_usec);
+            little_endian_store_32( (uint8_t *) &header_bluez.ts_sec,  0, curr_time.tv_sec);
+            little_endian_store_32( (uint8_t *) &header_bluez.ts_usec, 0, curr_time.tv_usec);
             header_bluez.packet_type = packet_type;
             write (dump_file, &header_bluez, sizeof(hcidump_hdr) );
